;; jbank@alum.mit.edu
;; 10/2000
;;
;; Colorization
;;
;; Exports: colorize, decolorize

(defun colorize_func (bg_color fg_color cur_color) 
  ;;Try Emacs-19 functions
  (if (fboundp 'set-foreground-color)
      (set-foreground-color fg_color))
  (if (fboundp 'set-background-color)
      (set-background-color bg_color))
  (if (fboundp 'set-cursor-color)
      (set-cursor-color cur_color))
  (if (and (fboundp 'set-face-foreground) (fboundp 'set-face-background))
      (progn 
        (set-face-foreground 'default fg_color)
        (set-face-background 'default bg_color)
        (set-face-foreground 'modeline bg_color)
        (set-face-background 'modeline fg_color)
        )
    ))


(defun colorize ()
  "colorize"
  (interactive)
  (colorize_func "black" "green" "yellow"))

(defun decolorize ()
  "colorize"
  (interactive)
  (colorize_func "white" "black" "black"))
