;; jbank@alum.mit.edu
;; 10/2000
;;
;; This provides the ability to display ascii sepcial characters
;; (similar to something in vm I'm told) 
;; requested by dharris@arsdigita.com
;;
;; Exported: display-buffer-ascii-specials
;;

(defun display-region-ascii-specials (pt mk)
   "Display all tabs as \t, and show hard newlines with a $ in a separate buffer."   (interactive "r")
   (let ((outbuf (get-buffer-create "*Ascii-Display*")) (contents (buffer-substring pt mk)))
     (with-current-buffer outbuf
       (erase-buffer)
       (insert contents)
       (goto-char (point-min))
       (while (re-search-forward "\t" nil t)
 (replace-match "\\t" nil t))
       (goto-char (point-min))
       (while (re-search-forward "\n" nil t)
 (backward-char 1)
 (insert "$")
 (forward-char 1))
       (display-buffer outbuf))))

(defun display-buffer-ascii-specials ()
   "Display all tabs as \t, and show hard newlines with a $ in a separate buffer."
   (interactive)
   (save-excursion 
     (let ((pt (point-min))
           (mk (point-max)))
       (display-region-ascii-specials pt mk))))

