;; jbank@alum.mit.edu
;; 10/2000
;;
;; Find an executable based on substrings using the current path.
;;
;; Exports: find-executable

(require 'joes-utils)

(defvar fexec-path (and (getenv "PATH")	(string-split ":" (getenv "PATH"))))

(defun fexec (substr path full)
  (if path
      (if (file-exists-p (car path))
	  (append (directory-files (car path) full substr t t)
		  (fexec substr (cdr path) full))
	(fexec substr (cdr path) full))))

(defun find-executable (substr)
  (interactive "sExecutable Name: ")
  (with-output-to-temp-buffer "*Comp*" 
    (display-completion-list(fexec substr fexec-path t))))


	 
  